'use strict';

var assert = require('assert');
var Filetype = require('./index.js');

describe('Filetype', function() {

  describe('.get', function() {

    it('returns language of a file name', function() {
      assert.deepEqual(Filetype.get('foo.js'), ['JavaScript']);
    });

    it('returns multiple languages of a file name', function() {
      assert.deepEqual(Filetype.get('foo.h'), ['C', 'C++', 'Objective-C']);
    });
  });

  describe('.is', function() {

    it('returns true when file name is equal language', function() {
      assert.equal(Filetype.is('foo.h', 'C++'), true);
    });
  });

});
